Bug 488809 - ati R300 card not recognised by kernel 2.6.29-0.179.rc6.git5.fc11.i586
ati R300 card not recognised by kernel 2.6.29-0.179.rc6.git5.fc11.i586
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 14:58 EST by jan vestby
Modified: 2010-03-23 20:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 20:10:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log with failure (18.37 KB, text/plain)
2009-03-05 15:03 EST, jan vestby
no flags Details

  None (edit)
Description jan vestby 2009-03-05 14:58:19 EST
Description of problem: with latest kernel no display found.
Booting with the previous kernel (2.6.29-0.159.rc6.git3.fc11.i586) works "fine" (not much performance)

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati 6.11.0 
kernel 2.6.29-0.179.rc6.git5.fc11.i586
How reproducible:
every time

Steps to Reproduce:
1.boot rawhide from last mass recompile
2.
3.
  
Actual results: no x
From the Xorg log: "Fatal server error:\nno screens found"

Expected results: x starting


Additional info:
cpu: Intel(R) Pentium(R) 4 CPU 2.80GHz
graphics card: VGA compatible controller: ATI Technologies Inc Radeon R300 ND [Radeon 9700 Pro]
display: Monitor name: L90D Digital (with DVI connection to the card)
Comment 1 jan vestby 2009-03-05 15:03:06 EST
Created attachment 334200 [details]
Xorg log with failure
Comment 2 jan vestby 2009-03-06 16:56:43 EST
Todays kernel 2.6.29-0.197.rc7.fc11.i586  & ati driver 6.11.0 (3.fc11) work as expected (and considarbly faster)
Comment 3 Bug Zapper 2009-06-09 07:55:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2009-11-05 13:22:32 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Matěj Cepl 2010-02-26 07:27:02 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 6 Vedran Miletić 2010-03-23 20:10:31 EDT
Closing as worksforme per comment 2.

Note You need to log in before you can comment on or make changes to this bug.